<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: cvimage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('cvimage_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cvimage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cvimage_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef CVIMAGE_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define CVIMAGE_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;cxcore.h&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvimage.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1cvimage.html">cvimage</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvimage_1_1_type.html">   31</a></span>&#160;  <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html">Type</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">   37</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;      <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7">YUYV</a>, </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;      <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296">UYVY</a>, </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;      <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc">BGR</a>,  </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;      <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93">Gray</a>, </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    };</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html">Type</a>(uint16_t _width, uint16_t _height, <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a> _format)</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        : width(_width), height(_height), format(_format) {}</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;      <span class="keywordtype">size_t</span> pixelSize;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;      <span class="keywordflow">switch</span> (format) {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;      <span class="keywordflow">case</span> <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93">Format::Gray</a>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        pixelSize = 1;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;      <span class="keywordflow">case</span> <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7">Format::YUYV</a>:</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;      <span class="keywordflow">case</span> <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296">Format::UYVY</a>:</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        pixelSize = 2;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;      <span class="keywordflow">case</span> <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc">Format::BGR</a>:</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        pixelSize = 3;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;      <span class="keywordflow">default</span>:</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        pixelSize = 0; <span class="comment">// TODO should throw an exception instead</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;      }</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;      <span class="keywordflow">return</span> pixelSize * width * height;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    }</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;cv image&quot;</span>; };</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a> GetFormat()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> format; };</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    uint16_t GetWidth()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> width; };</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    uint16_t GetHeight()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> height; };</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">private</span>:</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    uint16_t width;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    uint16_t height;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a> format;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  };</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvimage.html#a27eca80953832dcbcbffabc1255576d1">cvimage</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> *parent, uint16_t width, uint16_t height,</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;          <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Type::Format</a> format, std::string name = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> allocate_data = <span class="keyword">true</span>,</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;          <span class="keywordtype">int</span> n = 1);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvimage.html#a4088028fba3222934f09685340d062fa">~cvimage</a>();</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvimage.html#acdd6453c16a50621dd369eef7ac4a9c6">  104</a></span>&#160;  IplImage *<a class="code" href="classflair_1_1core_1_1cvimage.html#acdd6453c16a50621dd369eef7ac4a9c6">img</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html">Type</a> <span class="keyword">const</span> &amp;GetDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> dataType; };</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordtype">void</span> RawRead(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">bool</span> allocate_data;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  Type dataType;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;};</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="preprocessor">#endif // CVIMAGE_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7">flair::core::cvimage::Type::Format::YUYV</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html">flair::core::cvimage::Type</a></div><div class="ttdef"><b>Definition:</b> cvimage.h:31</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692f"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">flair::core::cvimage::Type::Format</a></div><div class="ttdeci">Format</div><div class="ttdef"><b>Definition:</b> cvimage.h:37</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_html_a27eca80953832dcbcbffabc1255576d1"><div class="ttname"><a href="classflair_1_1core_1_1cvimage.html#a27eca80953832dcbcbffabc1255576d1">flair::core::cvimage::cvimage</a></div><div class="ttdeci">cvimage(const Object *parent, uint16_t width, uint16_t height, Type::Format format, std::string name=&quot;&quot;, bool allocate_data=true, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93">flair::core::cvimage::Type::Format::Gray</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_html_a4088028fba3222934f09685340d062fa"><div class="ttname"><a href="classflair_1_1core_1_1cvimage.html#a4088028fba3222934f09685340d062fa">flair::core::cvimage::~cvimage</a></div><div class="ttdeci">~cvimage()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_html"><div class="ttname"><a href="classflair_1_1core_1_1cvimage.html">flair::core::cvimage</a></div><div class="ttdoc">Class defining an image of kind IplImage. </div><div class="ttdef"><b>Definition:</b> cvimage.h:29</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_html_acdd6453c16a50621dd369eef7ac4a9c6"><div class="ttname"><a href="classflair_1_1core_1_1cvimage.html#acdd6453c16a50621dd369eef7ac4a9c6">flair::core::cvimage::img</a></div><div class="ttdeci">IplImage * img</div><div class="ttdoc">IplImage. </div><div class="ttdef"><b>Definition:</b> cvimage.h:104</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296">flair::core::cvimage::Type::Format::UYVY</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc">flair::core::cvimage::Type::Format::BGR</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html_aec92383fd5bf68d9df10414862b7e95c"><div class="ttname"><a href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">flair::core::Object::Object</a></div><div class="ttdeci">Object(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</div><div class="ttdoc">Constructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="cvimage_8h.html">cvimage.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
